Bug 905374 - CVE-2013-0333 rubygem-activesupport: json to yaml parsing [epel-6]
CVE-2013-0333 rubygem-activesupport: json to yaml parsing [epel-6]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-activesupport (Show other bugs)
el6
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Michael Stahnke
Fedora Extras Quality Assurance
fst_owner=jsmith,jrusnack
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-0333 1209124
  Show dependency treegraph
 
Reported: 2013-01-29 04:35 EST by Jan Lieskovsky
Modified: 2015-06-27 16:43 EDT (History)
8 users (show)

See Also:
Fixed In Version: rubygem-activesupport-2.3.18-6.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-27 16:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Build failure on ppc64 (6.85 KB, application/x-xz)
2014-10-13 20:27 EDT, Robert Scheck
no flags Details
Diff including the patch that I tried (6.87 KB, patch)
2014-10-13 20:30 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2013-01-29 04:35:46 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-6 tracking bug for rubygem-activesupport: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-01-29 04:35:57 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=903440,905374
Comment 2 Ivan Stojmirov 2013-03-08 03:51:35 EST
Any ETA for this fix?
Comment 3 renebarbosa 2014-07-25 11:29:44 EDT
Upstream patches and fixed releases are disponible[0].
Fixed versions: 3.0.20 and 2.3.16. Please fix it.

Links:

[0] https://groups.google.com/forum/?fromgroups=#!topic/rubyonrails-security/1h2DR63ViGo
Comment 4 renebarbosa 2014-07-25 11:49:36 EDT
Release 4.1.0 is also available.
Comment 5 Eric Christensen 2014-07-31 20:55:50 EDT
Can this package be upgraded to version 2.3.16 to fix this vulnerability?
Comment 6 Robert Scheck 2014-10-13 20:27:45 EDT
Created attachment 946630 [details]
Build failure on ppc64

I experience this build failure on ppc64 when applying 2-3-json-parser.patch
Comment 7 Robert Scheck 2014-10-13 20:30:04 EDT
Created attachment 946631 [details]
Diff including the patch that I tried
Comment 8 Eric Christensen 2014-11-20 15:38:44 EST
Any word on this being fixed?
Comment 9 Jared Smith 2015-04-21 17:23:57 EDT
I've now got a working scratch-build for EPEL6, and barring any objections, I'll be pushing this to EPEL 6 as an update in about 24 hours.

http://koji.fedoraproject.org/koji/taskinfo?taskID=9531443
Comment 10 Jared Smith 2015-04-21 17:33:59 EDT
Adding jrusnack to CC, and he was helping me with this earlier today
Comment 11 Ján Rusnačko 2015-04-23 10:56:01 EDT
When update is pushed bz#731451 should be closed, too.
Comment 12 Ján Rusnačko 2015-04-23 11:14:37 EDT
Also I realized only later (sorry), but this is most probably not critical for el6. This critical part was because this allowed unauthenticated RCE in Rails. However, Rails stack is not in EPEL 6, just activesupport part of it.
Comment 13 Fedora Update System 2015-05-28 11:19:56 EDT
rubygem-activesupport-2.3.18-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-activesupport-2.3.18-6.el6
Comment 14 Fedora Update System 2015-05-29 17:45:36 EDT
Package rubygem-activesupport-2.3.18-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rubygem-activesupport-2.3.18-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6487/rubygem-activesupport-2.3.18-6.el6
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2015-06-27 16:43:18 EDT
rubygem-activesupport-2.3.18-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.